Bug 1007247 - Review Request: php-phpunit-phpcov - TextUI frontend for PHP_CodeCoverage
Review Request: php-phpunit-phpcov - TextUI frontend for PHP_CodeCoverage
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 04:06 EDT by Remi Collet
Modified: 2013-11-10 02:53 EST (History)
2 users (show)

See Also:
Fixed In Version: php-phpunit-phpcov-1.1.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-30 23:03:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpci.log (8.17 KB, text/x-log)
2013-10-21 14:27 EDT, Shawn Iwinski
no flags Details
review.txt (7.68 KB, text/plain)
2013-10-21 14:27 EDT, Shawn Iwinski
no flags Details

  None (edit)
Comment 1 Shawn Iwinski 2013-10-21 14:27:03 EDT
Created attachment 814734 [details]
phpci.log

phpcompatinfo version 2.23.1
Comment 2 Shawn Iwinski 2013-10-21 14:27:36 EDT
Created attachment 814735 [details]
review.txt

Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 1007247
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 3 Shawn Iwinski 2013-10-21 14:31:39 EDT
> php-phpunit-phpcov.noarch: W: spelling-error Summary(en_US) frontend -> fronted, front end, front-end
> php-phpunit-phpcov.noarch: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end

Perhaps change "frontend" to "front-end"

> php-phpunit-phpcov.noarch: W: no-manual-page-for-binary phpcov

Perhaps add a man file with the help of help2man.



No blockers.

===== APPROVED =====
Comment 4 Remi Collet 2013-10-22 00:50:44 EDT
Thanks for the review.
I will take care of your comment after import.


New Package SCM Request
=======================
Package Name: php-phpunit-phpcov
Short Description: TextUI frontend for PHP_CodeCoverage
Owners: remi
Branches: f19 f20 el6
InitialCC:
Comment 5 Gwyn Ciesla 2013-10-22 08:14:15 EDT
Git done (by process-git-requests).
Comment 6 Remi Collet 2013-10-22 11:48:43 EDT
@Shawn: FYI after some try, I prefer to not provide any generated man page. It's quite ugly to generate (path, include_path...) and result is not really correct (usage line not correctly retrieved, and splited in SYNOPSIS and DESCRIPTION).
Comment 7 Fedora Update System 2013-10-22 11:50:55 EDT
php-phpunit-phpcov-1.1.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-phpunit-phpcov-1.1.0-1.fc20
Comment 8 Fedora Update System 2013-10-22 11:51:10 EDT
php-phpunit-phpcov-1.1.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-phpunit-phpcov-1.1.0-1.fc19
Comment 9 Fedora Update System 2013-10-22 11:51:21 EDT
php-phpunit-phpcov-1.1.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-phpunit-phpcov-1.1.0-1.el6
Comment 10 Fedora Update System 2013-10-22 14:53:05 EDT
php-phpunit-phpcov-1.1.0-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 11 Fedora Update System 2013-10-30 23:03:50 EDT
php-phpunit-phpcov-1.1.0-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 12 Fedora Update System 2013-11-06 13:27:56 EST
php-phpunit-phpcov-1.1.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 13 Fedora Update System 2013-11-10 02:53:30 EST
php-phpunit-phpcov-1.1.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.